Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class SpacerElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.SpacerElement

public class SpacerElement
extends SinglePartElement

Use a SpacerElement to control the spacing between objects and whitespace on an HtmlPage. This supports a Netscape 3.0 browser extension.

Version:
  2.1
Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `SpacerType`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`SpacerElement(AlignType alignment, int width, int height)` Constructs a SpacerElement of type block, for which the size attribute is ignored, and the alignment, width, and height must be set.
`SpacerElement(int pixels)` Constructs a horizontal-type SpacerElement and sets its size to the specified number of pixels.
`SpacerElement(SpacerType type, int size)` Constructs a SpacerElement of the specified type and sets the size (the absolute width or height.

Method Summary
`protected java.lang.String` | `getHtmlCode()`
`protected boolean` | `printBody()`
`protected boolean` | `printCR()`
`protected boolean` | `printEndingTag()`
`SpacerElement` | `setAlign(AlignType alignment)` Sets the ALIGN attribute of a SpacerElement.
`SpacerElement` | `setHeight(int pixels)` Sets the HEIGHT attribute of a SpacerElement.
`SpacerElement` | `setSize(int pixels)` Sets the SIZE attribute of a SpacerElement.
`SpacerElement` | `setType(SpacerType type)` Sets the SpacerType of a SpacerElement.
`SpacerElement` | `setWidth(int pixels)` Sets the WIDTH attribute of a SpacerElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpacerElement

    public SpacerElement(int pixels)

  Constructs a horizontal-type SpacerElement and sets its size to the specified number of pixels.

  Parameters:
    `size` - Size in pixels

### SpacerElement

    public SpacerElement(SpacerType type,
                         int size)

  Constructs a SpacerElement of the specified type and sets the size (the absolute width or height. Setting the size is only valid for types horizontal or vertical.

  Parameters:
    `type` - SpacerElement type
    `size` - Width of columns in pixels
  See Also:
    `SpacerType`

### SpacerElement

    public SpacerElement(AlignType alignment,
                         int width,
                         int height)

  Constructs a SpacerElement of type block, for which the size attribute is ignored, and the alignment, width, and height must be set.

  Parameters:
    `alignment` - AlignType object
    `width` - Width in pixels
    `height` - Height in pixels
  See Also:
    `AlignType`

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Overrides:
    printEndingTag in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Overrides:
    printBody in class ElementWithAttributes

### setAlign

    public SpacerElement setAlign(AlignType alignment)

  Sets the ALIGN attribute of a SpacerElement. This attribute applies only when the SpacerType is block.

  Parameters:
    `alignment` - AlignType object
  Returns:
    SpacerElement

### setHeight

    public SpacerElement setHeight(int pixels)

  Sets the HEIGHT attribute of a SpacerElement. This attribute applies only when the SpacerType is block.

  Parameters:
    `pixels` - Absolute height in pixels
  Returns:
    SpacerElement

### setSize

    public SpacerElement setSize(int pixels)

  Sets the SIZE attribute of a SpacerElement. Size applies when the SpacerType is vertical or horizontal, and is ignored for SpacerType block.

  Parameters:
    `pixels` - Size in pixels
  Returns:
    SpacerElement

### setType

    public SpacerElement setType(SpacerType type)

  Sets the SpacerType of a SpacerElement.

  Parameters:
    `type` - SpacerType object
  Returns:
    SpacerElement

### setWidth

    public SpacerElement setWidth(int pixels)

  Sets the WIDTH attribute of a SpacerElement. This attribute applies only when the SpacerType is type block.

  Parameters:
    `pixels` - Width in pixels
  Returns:
    SpacerElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD